Package org.apache.cxf.annotations

# Annotation Interface DataBinding

@Documented @Retention(RUNTIME) @Target(TYPE) @Inherited public @interface DataBinding
Specifies the DataBinding to use with the service

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `Class<? extends DataBinding>`
  `value`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `ref`
  Bean reference to lookup in configuration.

- ## Element Details

  - ### value

    Class<? extends DataBinding> value

- - ### ref

    String ref
    Bean reference to lookup in configuration. Bean must be castable to the Class set above
    Returns:
      The id of the bean reference
    Default:
      ""